Summary   	: Allows restricted root access for specified users.
Name	  	: sudo
Version	  	: 1.6.7p3
Release	  	: 3.0.0.%{_hhl_build_id}
Source	  	: sudo_%{version}.orig.tar.gz
Source1		: sudo.tmpl
Patch0	  	: sudo_%{version}-2.diff.gz
Patch1		: mvl-sudo-xtensa.patch
License 	: Other
Group	  	: Applications/System
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
Obsoletes 	: hhl-target-sudo
Obsoletes 	: hhl-%{_hhl_target_arch}-sudo

%description

Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

#
#	RPM
#


%prep

%target_check

%setup -n sudo-%{version}
%patch0 -p1
%patch1 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

%target_configure --with-editor=/usr/bin/sensible-editor

make CFLAGS="-DSTDC_HEADERS"


%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}{%{_hhl_target_bin_dir},%{_hhl_target_sbin_dir},%{_hhl_target_man_dir}/man{5,8},%{_hhl_target_sysconf_dir}/pam.d/sudo}
install -m 4755 objdir/sudo %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sudo
install -m 0755 objdir/visudo %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/visudo
install -m 0644 objdir/sudo.man %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/sudo.8
install -m 0644 objdir/visudo.man %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/visudo.8
install -m 0644 objdir/sudoers.man %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/sudoers.5
install -m 644 debian/sudo.pam %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d/sudo

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sudo

%clean
rm -rf %{buildroot}


%files -n sudo
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d/sudo
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d/sudo/sudo.pam
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sudo
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/visudo
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/sudoers.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/sudo.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/visudo.8.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sudo


%changelog
* Mon Jun 03 2002 Joe Green <source@mvista.com>
- Added support for Xtensa architecture.

* Fri Apr 20 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files

* Thu Mar 08 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


